Fabio Baccaglioni



Para aquellos que siguen Tecnogeek pero no son de Argentina la AFIP tal vez no les suene a nada, en simple, es la entidad gubernamental encargada de la recaudación de impuestos, básicamente le fisco a quien siempre le vamos a deber algo aun sin saberlo.

Pero he aquí que ellos estan en una deuda muy particular: Tecnología.

Suena increíble pero ellos, oficialmente, siguen pidiéndonos que utilicemos un browser no sólo desactualizado, sino peligroso para cualquier persona:



Esto no es un chiste, es el medio oficial del organismo publicándolo en Twitter. 24 de Enero de 2017. WTF?



Así es, si bien para la mayoría de los trámites de AFIP no hace falta IE6 todavía quedan algunos en los que es obligatorio éste o alguno que soporte ActiveX. El problema técnico es que IE 6, en su momento, incorporó varias tecnologías para encadenar las transacciones electrónicas y asociarlas de forma exclusiva a su plataforma.

Desde ya que el error fue de los que desarrollaron el software IE-dependiente pero luego de tantos años en casi todo el mundo se avanzó y reemplazó el código caduco. No en todos lados.

Y aclaro, esto no es un problema exclusivo de Argentina, hay un caso mucho más traumático que el local: Corea del Sur. El país asiático había condenado a su población a mantener Internet Explorer 6 de forma obligatoria porque toda transacción con el gobierno dependía de aplicaciones Active X cifradas y certificadas.

El problema de no tener una plataforma agnóstica con respecto al browser es lo obvio, la desactualización y la falta de mantenimiento de un software de terceros el cual se transformó en tu carcelero.

Corea gastó varios millones de dólares con un costo promedio de US$90,000 por cada sitio modificado, pero no sólo los organismos estatales estaban obligados, todos los privados también, por lo que recién para este año se espera que el 90% esté libre de Active X. Año 2017.

Para entender la profundidad del problema y desligar a IE6 de la culpa, es un browser que vio la luz recién en Agosto de 2001 hace 15 años, no es su culpa, la última actualización llegó en Mayo de 2008, Microsoft ofreció todo el soporte que pudo hasta extendiendo el soporte para organizaciones y empresas que fuesen clientes importantes. Pero hoy en día el uso promedio de este vetusto browser llega apenas al 1%, es decir, forzar su uso es tan antinatural como falto de coherencia.

Es un browser que no sirve para navegar la web hace muchos años.

La mayoría de los sitios no brindan soporte ni a las versiones posteriores de IE como el 7, 8 y 9, recién a partir del 10 y 11 hay un soporte mayor. Todos estos browsers llevaron consigo el estigma (en parte fue culpa de Microsoft por querer imponer Active X) de tener un modo de compatibilidad para simular el negativo comportamiento de IE6 y ser "compatibles" con sitios como el de la AFIP.

El problema de seguridad que significa un browser tan viejo es enorme, la mayoría suele virtualizar un entorno de Windows XP para mantener su PC más actual saludable y sin los problemas de un sistema operativo tan viejo, pero la mayoría ni sabe cómo virtualizar un entorno.

Que en 2017 una entidad gubernamental siga recomenando esto y no haga nada (en la última década no hizo nada para mejorar) para solucionarlo es increíble. Con la enorme cantidad de recursos que existen hoy en día para cifrar y crear conexiones seguras que no requieren ActiveX (muchos bancos, que son de ir lento, ya descartaron estos requerimientos). Los cifrados de seguridad incluidos en IE6 también son extremadamente inseguros, algo que contrasta con la irracional negativa a reemplazarlos.

Es hora ya de cambiar esto, por el bien de la web, y que el 2017 termine con un uso menor al 1% de IE6 en todo el mundo, pero principalmente, fuera de los sitios del estado.

Comentarios

Terrible. Tuve que desempolvar una vieja PC que tiene XP para poder bajarme de categoria en el monotributo. No hubo manera con otro navegador.

  • Citar »

Sigue siendo increíble que un gobierno que pone su punta de lanza en una desesperada modernidad no se haya siquiera planteado una renovación de estos sistemas cautivos y obsoletos.
A mi me llueven llamados de contadores que los aplicativos de AFIP no les anda ni para atrás los aplicativos, los web con W10 te obligan a rasquetear archivos de sistema para levantar un IE11 con scripts para que forzar compatibilidad de IE8. Sino la mitad de las ventanas no te cargan. Todavía tengo pendiente probar con librerías de wine para hacer andar IE6/8 en linux.

  • Citar »

martemars dijo:
Sigue siendo increíble que un gobierno que pone su punta de lanza en una desesperada modernidad no se haya siquiera planteado una renovación de estos sistemas cautivos y obsoletos.
A mi me llueven llamados de contadores que los aplicativos de AFIP no les anda ni para atrás los aplicativos, los web con W10 te obligan a rasquetear archivos de sistema para levantar un IE11 con scripts para que forzar compatibilidad de IE8. Sino la mitad de las ventanas no te cargan. Todavía tengo pendiente probar con librerías de wine para hacer andar IE6/8 en linux.


recuerdo haber hecho funcionar sin problemas IE6, 7 y 8 en Linux hace unos cuantos años, no se cómo estará el estado de esas cosas ahora porque microsoft, por razones más que lógicas, iba bajando las descargas de esas cosas tan viejas y vulnerables

  • Citar »

En mi laburo me toca luchar con IIBB y demas porongas.
Ya de por si cada provicia de mierda tiene su propia aplicacion para la carga de impuestos. La cual c/u obviamente tiene su propio sistema de carga de datos y formateo de archivos. Lo que sufrí para la generacion de TXT de acuerdo a cada provincia.
Ademas de SIAP, que es una bosta... pero si al menos todos usaran la misma seria mas facil.

Luego el tema de padrones, cada provincia los formatea a su manera y hay que manejarlos exclusivamente por cada una. Son todas una mierda y ninguna funciona bien.

  • Citar »

Desde ayer (26/01/2017) se puede acceder ya con Chrome, Firefox etc. Por fin! http://www.ignacioonline.com.ar/2017/01/afip-descubre-el-responsive-design.html?m=1

  • Citar »

martemars dijo:
Sigue siendo increíble que un gobierno que pone su punta de lanza en una desesperada modernidad no se haya siquiera planteado una renovación de estos sistemas cautivos y obsoletos.
A mi me llueven llamados de contadores que los aplicativos de AFIP no les anda ni para atrás los aplicativos, los web con W10 te obligan a rasquetear archivos de sistema para levantar un IE11 con scripts para que forzar compatibilidad de IE8. Sino la mitad de las ventanas no te cargan. Todavía tengo pendiente probar con librerías de wine para hacer andar IE6/8 en linux.

Podés usar http://www.my-debugbar.com/wiki/IETester/HomePage se usa mucho para probar compatibilidad de web con internet explorer. Además hay varios emuladores de ie 6 que andan bien

  • Citar »

Para el monotributo tenes que usar SI o SI Internet explorer, en cualquiera de sus versiones (con modo de compatibilidad activado) sino no funciona, es un asco eso!, y es un error de javascript re boludo. Por otro lado los nuevos sistemas funcionan cross browser sin problemas y se ven bastante bien, algo es algo, supongo q migraran todo algun dia (?), pero al menos los nuevos desarrollos los arrancaron en tecnologias mas nuevas.

Fabio, fijate el fb login que le falta el APPID y no anda ni pa trá.

  • Citar »

Me alegra saber que no soy la única que lanza unos improperios horribles contra our beloved AFIP x esta exigencia absurda.

Comentario marginal: ¿Corea del Sur no era el que nos quería vender las máquinas de voto electrónico? Siempre a la vanguardia en materia tecnológica.

  • Citar »

El sistemas SIAP de AFIP tiene módulos en 16bits !!! módulos que para funcionar correctamente necesitarían windows 98/95... , safas con WinXP o Maquinas Virtuales pero no todos los usuarios se "animan" a usar una Maquina Virtual .

  • Citar »

Guille dijo:
El sistemas SIAP de AFIP tiene módulos en 16bits !!! módulos que para funcionar correctamente necesitarían windows 98/95... , safas con WinXP o Maquinas Virtuales pero no todos los usuarios se "animan" a usar una Maquina Virtual .

si, el SIAP es, tal vez, la pieza de software más primitiva en uso después de COBOL en los bancos

  • Citar »

El 10 de enero envíe un mail a la afip avisando del error en menu.asp que es la pagina donde te adheris/recategorizas del monotributo. Siempre hubo que usarla en modo compatibilidad en IE.
Era tan simple el error que asumo que nadie lo veia porque nadie probó el script de javascript que estaban tratando de utilizar, la consola claramente mostraba el error.
Unos días despues actualizan el sitio y ahora funciona para todos los navegadores.
Tenían un error en un script de javascript. Querían averiguar cual de todos los radios habia seleccionado el usuario y para eso recorrian con un loop y un if metido adentro.
Lo solucionaron en una sola linea.
[url=https://postimg.org/image/emwes7m61/]" target="_blank">Enlace

[url=https://postimg.org/image/7872zu0ah/]" target="_blank">Enlace

[url=https://postimg.org/image/tletmn189/]" target="_blank">Enlace

  • Citar »

Fabio Baccaglioni dijo:
Guille dijo:
El sistemas SIAP de AFIP tiene módulos en 16bits !!! módulos que para funcionar correctamente necesitarían windows 98/95... , safas con WinXP o Maquinas Virtuales pero no todos los usuarios se "animan" a usar una Maquina Virtual .

si, el SIAP es, tal vez, la pieza de software más primitiva en uso después de COBOL en los bancos


Intenten usar SIAP y algunos módulos en Windows 10... Cuando el cliente te dice pero compré un equipo nuevo y usas una VM para que esa bosta funcione. Incluso hay módulos que nunca se actualizaron. Es hora de armar algo nuevo y que traiga todo y listo. Y obviamente que permita migrar lo viejo porque sino estamos en la misma mierda...

  • Citar »
GAK

"...y a los dueños de la guita no les importa hacer mas guita, lo único que les importa es hacer mas guita"
Tato Bores

  • Citar »

Deje su comentario:

(comentarios ofensivos o que no hagan al enriquecimiento del post serán borrados/editados por el administrador sin previo aviso)

Security Image

Negrita Cursiva Imagen Enlace